# Get

Launch stage: GA

`GET /api/2.0/postgres/{name=projects/*/branches/*/endpoints/*}`

Retrieves information about the specified compute endpoint, including its connection details and operational state.

API scopes: postgres

## Path parameters

- `name` (string, optional)
  The full resource path of the endpoint to retrieve.
   Format: projects/{project_id}/branches/{branch_id}/endpoints/{endpoint_id}

## Returns

Returns the Endpoint object.

## Response

```json
{
  "name": "string",
  "uid": "string",
  "parent": "string",
  "create_time": "string",
  "update_time": "string",
  "spec": {
    "endpoint_type": "string",
    "autoscaling_limit_min_cu": 0,
    "autoscaling_limit_max_cu": 0,
    "disabled": true,
    "suspend_timeout_duration": "string",
    "no_suspension": true,
    "settings": {},
    "group": {}
  },
  "status": {
    "endpoint_type": "string",
    "hosts": {},
    "last_active_time": "string",
    "autoscaling_limit_min_cu": 0,
    "autoscaling_limit_max_cu": 0,
    "current_state": "string",
    "pending_state": "string",
    "disabled": true,
    "suspend_timeout_duration": "string",
    "settings": {},
    "group": {},
    "endpoint_id": "string"
  },
  "endpoint_id": "string"
}
```

